#!/usr/bin/env python
###################################################################################
# Phabricator Task Handler
# Copyright (C) 2016 Luis Araujo <luis.araujo@collabora.co.uk>

# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  US
###################################################################################

from setuptools import setup, find_packages

execfile('phab_handler/version.py')
setup(
    name='phab-handler',
    version=__version__,
    license='LGPL-2.1+',
    description='Phabricator Task Handler',
    author='Luis Araujo',
    author_email='luis.araujo@collabora.co.uk',
    url='http://cgit.collabora.com/git/singularity/tools/phab-handler.git/',
    packages=find_packages(),
    scripts=['phab-handler'],
    include_package_data=False,
    install_requires=['phabricator'],
    zip_safe=False,
)
